
package com.tmerclub.cloud.order.constant;

/**
 * 平台介入状态 -1.没有介入 1.用户申请介入 2.平台同意介入 3.平台拒绝介入 5.平台同意退款成功
 *
 * @author lhd
 */
public enum PlatformInterventionStatus {
    /**
     * 没有介入
     */
    NONE(-1),
    /**
     * 用户申请介入
     */
    APPLY(1),
    /**
     * 平台同意介入
     */
    AGREE(2),
    /**
     * 平台拒绝介入
     */
    REJECT(3),
    /**
     * 平台同意退款成功
     */
    SUCCESS(5);
//    /**
//     * 用户取消平台介入
//     */
//    CANCEL(6);

    private final Integer num;

    PlatformInterventionStatus(Integer num) {
        this.num = num;
    }

    public Integer value() {
        return num;
    }

    public static PlatformInterventionStatus instance(Integer value) {
        PlatformInterventionStatus[] enums = values();
        for (PlatformInterventionStatus statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
